Skip to main content
GET
Get all findings

Authorizations

Authorization
string
header
required

Use the "API key" from the profile page as the token

Query Parameters

workspace_id
integer

ID of the workspace to show findings from.

target_id
integer

ID of the target to show findings from

task_id
integer

ID of the scan to show findings from

group_id
integer

ID of the finding group to show findings from

group_duplicates
boolean
default:false

Group duplicates to show only the latest finding from each group.

min_risk_level
integer

Only include findings whose risk level is at least this value. Uses the same integer scale as risk_level on each finding (0=Info, 1=Low, 2=Medium, 3=High, 4=Critical). Can be combined with max_risk_level (inclusive range); minimum must not exceed maximum.

Required range: 0 <= x <= 4
max_risk_level
integer

Only include findings whose risk level is at most this value. Same scale as min_risk_level.

Required range: 0 <= x <= 4

Response

OK

data
object[]
required